using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace MonitorPowerControl
{
  public partial class MediaTypes : Form
  {
    /// <summary>
    /// Creates the configuration dialog, setting the state of each check baox from the parameters
    /// </summary>
    /// <param name="music">state to set the music checkbox to</param>
    /// <param name="radio">state to set the radio checkbox to</param>
    /// <param name="recording">state to set the recording checkbox to</param>
    /// <param name="tv">state to set the tv checkbox to</param>
    /// <param name="video">state to set the video checkbox to</param>
    public MediaTypes(bool music, bool radio, bool recording, bool tv, bool video)
    {
      InitializeComponent();

      checkMusic.Checked = music;
      checkRadio.Checked = radio;
      checkRecording.Checked = recording;
      checkTV.Checked = tv;
      checkVideo.Checked = video;
    }

    /// <summary>
    /// Gets the checked state of the music checkbox
    /// </summary>
    /// <returns>returns true if the music checkbox is checked</returns>
    public bool isMusicChecked()
    {
      return checkMusic.Checked;
    }

    /// <summary>
    /// Gets the checked state of the radio checkbox
    /// </summary>
    /// <returns>returns true if the radio checkbox is checked</returns>
    public bool isRadioChecked()
    {
      return checkRadio.Checked;
    }

    /// <summary>
    /// Gets the checked state of the recording checkbox
    /// </summary>
    /// <returns>returns true if the radio checkbox is checked</returns>
    public bool isRecordingChecked()
    {
      return checkRecording.Checked;
    }

    /// <summary>
    /// Gets the checked state of the tv checkbox
    /// </summary>
    /// <returns>returns true if the tv checkbox is checked</returns>
    public bool isTVChecked()
    {
      return checkTV.Checked;
    }

    /// <summary>
    /// Gets the checked state of the video checkbox
    /// </summary>
    /// <returns>returns true if the video checkbox is checked</returns>
    public bool isVideoChecked()
    {
      return checkVideo.Checked;
    }
  }
}